Skip to content

Get chat by access ID.

GET
/backend/v1/chats/public/{accessId}

Retrieves a chat using a public access ID, including its prompts and other relevant data.

The chat must be publicly accessible.

Parameters

Path Parameters

accessId*
Type
string
Required
Format
"uuid"

Responses

Successful Response

application/json
JSON
{
  
"chat": {
  
  
"access": {
  
  
  
"org": true,
  
  
  
"public": "string",
  
  
  
"users": [
  
  
  
  
"string"
  
  
  
]
  
  
},
  
  
"createdAt": "string",
  
  
"id": "string",
  
  
"name": "string",
  
  
"projectId": "string",
  
  
"promptId": "string",
  
  
"promptTemplateId": "string",
  
  
"starred": true,
  
  
"updatedAt": "string",
  
  
"userId": "string"
  
},
  
"prompts": [
  
  
{
  
  
  
"externalMetadata": {
  
  
  
},
  
  
  
"extraInputs": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"id": "string",
  
  
  
"input": "string",
  
  
  
"memory": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"parentId": "string",
  
  
  
"preserve": false,
  
  
  
"projectId": "string",
  
  
  
"provider": "string",
  
  
  
"receivedAt": "string",
  
  
  
"result": {
  
  
  
  
"outcome": "string",
  
  
  
  
"response": "string",
  
  
  
  
"scannerResults": [
  
  
  
  
  
{
  
  
  
  
  
  
"completedDate": "string",
  
  
  
  
  
  
"customConfig": false,
  
  
  
  
  
  
"data": {
  
  
  
  
  
  
  
"matches": [
  
  
  
  
  
  
  
  
[
  
  
  
  
  
  
  
  
]
  
  
  
  
  
  
  
],
  
  
  
  
  
  
  
"type": "regex"
  
  
  
  
  
  
},
  
  
  
  
  
  
"message": "string",
  
  
  
  
  
  
"outcome": "string",
  
  
  
  
  
  
"scanDirection": "string",
  
  
  
  
  
  
"scannerId": "string",
  
  
  
  
  
  
"scannerVersionMeta": {
  
  
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
  
  
"createdBy": "string",
  
  
  
  
  
  
  
"description": "string",
  
  
  
  
  
  
  
"direction": "string",
  
  
  
  
  
  
  
"f1Score": 0,
  
  
  
  
  
  
  
"id": "string",
  
  
  
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
  
  
  
"f1Score": 0
  
  
  
  
  
  
  
},
  
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
  
"published": true
  
  
  
  
  
  
},
  
  
  
  
  
  
"startedDate": "string"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"type": "string",
  
  
  
"userId": "string"
  
  
}
  
],
  
"provider": {
  
  
"id": "string",
  
  
"name": "string",
  
  
"systemProviderId": "string",
  
  
"template": {
  
  
  
"awsAuth": {
  
  
  
  
"accessKey": "string",
  
  
  
  
"region": "string",
  
  
  
  
"secretKey": "string",
  
  
  
  
"service": "string",
  
  
  
  
"token": "string"
  
  
  
},
  
  
  
"body": "string",
  
  
  
"headers": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"json": "string",
  
  
  
"method": "string",
  
  
  
"ociAuth": {
  
  
  
  
"keyId": "string",
  
  
  
  
"passphrase": "string",
  
  
  
  
"privateKeyPem": "string"
  
  
  
},
  
  
  
"outputs": {
  
  
  
},
  
  
  
"queryParams": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"timeout": 20,
  
  
  
"type": "request",
  
  
  
"url": "string"
  
  
},
  
  
"type": "string"
  
},
  
"user": {
  
  
"admin": true,
  
  
"blocked": false,
  
  
"createdAt": "string",
  
  
"email": "string",
  
  
"id": "string",
  
  
"lastInvitationSentAt": "string",
  
  
"machine": false,
  
  
"name": "string",
  
  
"org": "string",
  
  
"permissions": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"roleIds": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"roles": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"social": false,
  
  
"teams": [
  
  
  
[
  
  
  
]
  
  
],
  
  
"verified": true
  
}
}

Playground

Server
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

Updated at: